from socket import socket, MSG_WAITALL
from struct import pack, unpack
import sys

lastcmd = None
mysock = socket()

def send_int(i):
    mysock.sendall(pack("!i",i))

def send_int_list(lst):
    send_int(len(lst))
    for i in lst:
        send_int(i)

def read_int():
    return unpack("!i", mysock.recv(4, MSG_WAITALL))[0] 

def read_int_list():
    lst = []
    for i in range(0,read_int()):
        lst.insert(0,read_int())
    return lst

def connect(host, port):
    mysock.connect((host,port))

def spam(lst):
    send_int_list(lst)
    return read_int_list()
